apiVersion: v1
kind: Service
metadata:
  name: scs-gitlab
  namespace: web
  labels:
    app: scs-gitlab
spec:
  type: NodePort
  ports:
    - protocol: TCP
      name: http
      port: 80
      targetPort: 80
    - protocol: TCP
      name: https
      port: 443
      targetPort: 443
    - protocol: TCP
      name: gitlab-registry
      port: 5005
      targetPort: 5005
      nodePort: 30005
    - protocol: TCP
      name: gitlab-ssh
      port: 30022
      targetPort: 22
      nodePort: 30022
  selector:
    app: scs-gitlab
